from pybricks.hubs import EV3Brick
from pybricks.ev3devices import (Motor, TouchSensor, ColorSensor,
                                 InfraredSensor, UltrasonicSensor, GyroSensor)
from pybricks.parameters import Port, Stop, Direction, Button, Color
from pybricks.tools import wait, StopWatch, DataLog
from pybricks.robotics import DriveBase
from pybricks.media.ev3dev import SoundFile, ImageFile


# This program requires LEGO EV3 MicroPython v2.0 or higher.
# Click "Open user guide" on the EV3 extension tab for more information.


# Create your objects here.
ev3 = EV3Brick()


# Write your program here.
ev3.speaker.beep()
links = Motor(Port.A)
rechts = Motor(Port.B)
heber = Motor(Port.C)
licht = ColorSensor(Port.S3)  # Bitte Anschluss überprüfen.v
ultraschall = UltrasonicSensor(Port.S2)  # Bitte Anschluss überprüfen
ev3 = EV3Brick()
 # imports fehlen hier, siehe https://fginfo.ksbg.ch/dokuwiki/doku.php?id=lehrkraefte:blc:informatik:glf22:robotik-mit-svcode:programm-struktur
from math import pi  # Wert pi importieren
# Initialisierungen fehlen hier

raddurchmesser = 5.6  # Phantasiewert! Bitte ersetzen
radumfang = raddurchmesser*pi     # Hier Formel mit pi einsetzen
grad_pro_cm = 360/radumfang    # Phantasiewert, bitte anpassen, am besten direkt aus dem Radumfang berechnen.

cm_pro_grad = 1/grad_pro_cm

links = Motor(Port.A)
rechts = Motor(Port.B)
# Ersetzen Sie folgende Werte durch die Werte in mm, die Sie in der letzten Stunde gemessen/kalibriert haben.
fahrwerk = DriveBase(links, rechts, 56, 125)  # Motor links, Motor rechts, Raddurchmesser (in mm), Radabstand (in mm)
 
# Parameter setzen
fahrwerk.settings(700, 650, 240, 200)

def kreisbogen(fahrwerk, geschwindigkeit, radius, winkel):
    if winkel>=0:
        richtung=1
    else:
        richtung=-1
    dist = 2*radius*pi*winkel*richtung/360
    zeit = dist/abs(geschwindigkeit)
    winkelgeschwindigkeit = winkel/zeit
    print("v=%f, va=%f" % (geschwindigkeit, winkelgeschwindigkeit))
    winkelziel = fahrwerk.angle()+winkel
    fahrwerk.drive(geschwindigkeit, winkelgeschwindigkeit)
    while fahrwerk.angle()*richtung<winkelziel*richtung:
        wait(1)  # 1 ms pausieren

licht = ColorSensor(Port.S3)  # Bitte Anschluss-Nummer überprüfen.
 
links = Motor(Port.A)
rechts = Motor(Port.B)
fahrwerk = DriveBase(links, rechts, 55, 135)  # Motor links, Motor rechts, Raddurchmesser (in mm), Radabstand (in mm)

kreisbogen(fahrwerk, 100, 500, 360)

# Sicherheitstop
ev3.speaker.beep()
ev3.speaker.beep()
fahrwerk.stop()
